#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 37. LXDE Desktop

- Prev

  menu-cache-1.1.0

- Next

  PCManFM-1.3.2

- Up
- Home

# libfm-1.3.2

## Introduction to libfm

The libfm package contains a library used to develop file managers providing some file management utilities.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/pcmanfm/libfm-1.3.2.tar.xz

- Download MD5 sum: c87a0ff41ae77825079b2f785ec0741e

- Download size: 924 KB

- Estimated disk space required: 36 MB

- Estimated build time: 0.3 SBU

### libfm Dependencies

#### Required

GTK+-3.24.25 or GTK+-2.24.33, and menu-cache-1.1.0

#### Recommended

libexif-0.6.22, Vala-0.50.3, and lxmenu-data-0.1.5

#### Optional

GTK-Doc-1.33.2, dbus-glib-0.110 and Gvfs-1.46.2 or udisks (for volume management - experimental)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libfm

## Installation of libfm

Install libfm by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --disable-static  &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--with-gtk=3`: This option selects the version of gtk+ to use. The default is gtk+-2.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Program: libfm-pref-apps and lxshortcut
Installed Libraries: libfm.so, libfm-extra.so and libfm-gtk.so
Installed Directories: /etc/xdg/libfm, /usr/lib/libfm, /usr/share/gtk-doc/html/libfm and /usr/share/libfm

### Short Descriptions

libfm-pref-apps | sets preferred applications for programs based on libfm
lxshortcut | is a small program used to edit application shortcuts
`libfm.so` | contains the libfm API functions

Last updated on 2021-02-22 22:41:44 -0800

- Prev

  menu-cache-1.1.0

- Next

  PCManFM-1.3.2

- Up
- Home